JettyContinuationsReceiverServlet (Mule ESB 2.2.1 API)
Keywords: org.mule.transport.servlet.jetty.JettyContinuationsReceiverServlet class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.transport.servlet.jetty
Class JettyContinuationsReceiverServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.mule.transport.servlet.AbstractReceiverServlet
                  org.mule.transport.servlet.MuleReceiverServlet
                      org.mule.transport.servlet.jetty.JettyReceiverServlet
                          org.mule.transport.servlet.jetty.JettyContinuationsReceiverServlet

All Implemented Interfaces:
  Serializable, Servlet, ServletConfig

    public class JettyContinuationsReceiverServlet

extends JettyReceiverServlet

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.mule.transport.servlet.MuleReceiverServlet
`connector`

Fields inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`DEFAULT_CONTENT_TYPE_PROPERTY, DEFAULT_GET_TIMEOUT, DEFAULT_PAYLOAD_PARAMETER_NAME, defaultContentType, feedback, FEEDBACK_PROPERTY, logger, PAYLOAD_PARAMETER_NAME, payloadParameterName, REQUEST_TIMEOUT_PROPERTY, SERVLET_CONNECTOR_NAME_PROPERTY, timeout`

Constructor Summary
`JettyContinuationsReceiverServlet()`

Method Summary
`protected MuleMessage` | `doMethod(HttpServletRequest request, String method)`
`protected MuleMessage` | `routeMessage(MessageReceiver receiver, MuleMessage requestMessage, HttpServletRequest request)`

Methods inherited from class org.mule.transport.servlet.jetty.JettyReceiverServlet
`doInit, getReceiverForURI, getReceiverKey`

Methods inherited from class org.mule.transport.servlet.MuleReceiverServlet
`doConnect, doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getReceiverName, getReceivers, getRequestUrl, setupRequestMessage, setupRequestMessage`

Methods inherited from class org.mule.transport.servlet.AbstractReceiverServlet
`doInit, handleException, init, init, setHttpHeadersOnServletResponse, writeResponse`

Methods inherited from class javax.servlet.http.HttpServlet
`getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JettyContinuationsReceiverServlet

    public JettyContinuationsReceiverServlet()

Method Detail

### doMethod

    protected MuleMessage doMethod(HttpServletRequest request,
                                   String method)
                            throws MuleException

  Overrides:
    `doMethod` in class `MuleReceiverServlet`
  Throws:
    `MuleException`

### routeMessage

    protected MuleMessage routeMessage(MessageReceiver receiver,
                                       MuleMessage requestMessage,
                                       HttpServletRequest request)
                                throws MuleException

  Overrides:
    `routeMessage` in class `MuleReceiverServlet`
  Throws:
    `MuleException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.